/************************************************************************/
/*									*/
/*  This is the header file for the RCU  library			*/
/*									*/
/*  7. Sep. 04  MAJO  created						*/
/*									*/
/*******C 2004 - The software with that certain something****************/

#ifndef _RCU_LIB_H
#define _RCU_LIB_H

#include "stdio.h"
#include "rcu_common.h"

/********/
/*Macros*/
/********/
#define RCUISOPEN {if(!rcu_is_open) return(RCU_NOTOPEN);}

#ifdef RCUDEBUG
#define DEBUG_TEXT(my_package, level, text)\
  {\
    if ((my_package == packageId) || (packageId == 0))\
      if (traceLevel >= level)\
        printf text;\
  }
#else
  #define DEBUG_TEXT(my_package, level, text)
#endif

#endif
